package com.liquidnet.service.kylin.constant;

import lombok.Getter;

@Getter
public enum LuckyBagStatusEnum {

    // 兑换码显示类型
    CODE_SHOW_TYPE_CODE(1, "兑换码"),
    CODE_SHOW_TYPE_QR_CODE(2, "二维码"),

    // 解锁状态
    UNLOCK_STATUS_NOT_UNLOCKED(0, "未解锁"),
    UNLOCK_STATUS_UNLOCKED(1, "已解锁"),

    // 可用状态
    AVAILABLE_STATUS_UNAVAILABLE(0, "不可用"),
    AVAILABLE_STATUS_AVAILABLE(1, "可用"),
    AVAILABLE_STATUS_RECEIVED(2, "已领取");

    private final Integer value;
    private final String desc;

    LuckyBagStatusEnum(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }


}
